groovy.util

## Class ClosureComparator<T>

- java.lang.Object
- - groovy.util.ClosureComparator<T>

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<T>

    public class ClosureComparator<T>
    extends java.lang.Object
    implements java.util.Comparator<T>, java.io.Serializable

A Comparator which uses a closure to compare 2 values being equal

Author:
  James Strachan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClosureComparator(Closure closure)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(T object1, T object2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### ClosureComparator

    public ClosureComparator(Closure closure)

### Method Detail

#### compare

    public int compare(T object1,
                       T object2)

Specified by:
  `compare` in interface `java.util.Comparator<T>`